<bugID>1252998<Summary>"Forget" button does not clear Service Workers or their caches.</Summary><Description>STR:

1. Add the "Forget" button to your toolbar in Menu -&gt; Customize
2. Visit https://www.pokedex.org/
3. Forget -&gt; 24 hours

What should happen:

- The service worker is unregistered
- All cached data is cleared

What actually happens:

- The service worker is still visible in about:serviceworkers
- All data cached by the service worker is still present

To verify that cached data persisted, visit https://www.pokedex.org/manifest.json and run the following in the console:

    caches.match('/img/icon-48.png').then(x =&gt; console.log(`Resource ${(x &amp;&amp; x.ok) ? "WAS" : "WAS NOT"} found in cache:`, x))

Oddly enough, restarting the browser a second time does clear the service worker registration, but the caches still persist.</Description></bugID>